CREATE TABLE hrsa_push_setting
(
    id             bigint(0) NOT NULL,
    name           varchar(200),
    able           int(0),
    salary_sob_ids varchar(2000),
    mode_id        int(0),
    mode_name      varchar(200),
    table_name     varchar(200),
    creator        bigint(0),
    create_time    datetime(0),
    update_time    datetime(0),
    delete_type    int(0),
    tenant_key     varchar(10),
    PRIMARY KEY (id) USING BTREE
);


CREATE TABLE hrsa_push_setting_item
(
    id          bigint(0) NOT NULL,
    setting_id  bigint(0),
    source      varchar(100),
    item        varchar(200),
    item_name   varchar(200),
    field_name  varchar(200),
    field_type  int(0),
    creator     bigint(0),
    create_time datetime(0),
    update_time datetime(0),
    delete_type int(0),
    tenant_key  varchar(10),
    PRIMARY KEY (id) USING BTREE
);


CREATE TABLE hrsa_push_record
(
    id             bigint(0) NOT NULL,
    name           varchar(200),
    setting_id     bigint(0),
    mode_id        int(0),
    table_name     varchar(100),
    acct_record_id bigint(0),
    type           int(0),
    status         int(0),
    start_time     datetime(0),
    end_time       datetime(0),
    creator        bigint(0),
    create_time    datetime(0),
    update_time    datetime(0),
    delete_type    int(0),
    tenant_key     varchar(10),
    PRIMARY KEY (id) USING BTREE
);

CREATE TABLE hrsa_push_record_detail
(
    id           bigint(0) NOT NULL,
    record_id    bigint(0),
    acct_emp_id  bigint(0),
    execute      text,
    execute_time datetime(0),
    status       int(0),
    creator      bigint(0),
    create_time  datetime(0),
    update_time  datetime(0),
    delete_type  int(0),
    tenant_key   varchar(10),
    PRIMARY KEY (id) USING BTREE
);